Bug 1974288 - perl-5.34.0-479.fc35 FTBFS with gdbm-devel-1.20-1.fc35: ext/GDBM_File/t/gdbm.t: gdbm_firstkey: Item not found at ../../t/lib/dbmt_common.pl line 52.
Summary: perl-5.34.0-479.fc35 FTBFS with gdbm-devel-1.20-1.fc35: ext/GDBM_File/t/gdbm....
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-21 09:56 UTC by Petr Pisar
Modified: 2021-06-25 09:04 UTC (History)
12 users (show)

Fixed In Version: perl-5.34.0-480.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-25 09:04:14 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Perl perl5 issues 18915 0 None open ext/GDBM_File/t/gdbm.t failes with Perl 5.34 and gdbm 1.20 2021-06-22 12:33:50 UTC

Description Petr Pisar 2021-06-21 09:56:56 UTC
perl-5.34.0-479.fc35 fails to build in Fedora 35 if gdbm-devel-1.20-1.fc35 is installed because a gdbm test fails:

../ext/FileCache/t/02maxopen.t ....................................... ok
gdbm_firstkey: Item not found at ../../t/lib/dbmt_common.pl line 52.
Compilation failed in require at t/gdbm.t line 6.
# Tests were run but no plan was declared and done_testing() was not seen.
# Looks like your test exited with 255 just after 5.
../ext/GDBM_File/t/gdbm.t ............................................
Dubious, test returned 255 (wstat 65280, 0xff00)
All 5 subtests passed

This is probably triggered by upgrading gdbm from 1.19 to 1.20. From a GDBM changelog:


Version 1.20, 2021-06-17

* New bucket cache

The bucket cache support has been rewritten from scratch.  The new
bucket cache code provides for significant speed up of search
operations.

* Change mmap prereading strategy

Pre-reading of the memory mapper regions, introduced in version 1.19
can be advantageous only when doing intensive look-ups on a read-only
database.  It degrades performance otherwise, especially if doing
multiple inserts.  Therefore, this version introduces a new flag
to gdbm_open: GDBM_PREREAD.  When given, it enables pre-reading of
memory mapped regions.

See https://github.com/Perl/perl5/issues/18884 for details.


Note You need to log in before you can comment on or make changes to this bug.